GLS ShipIT 5.0.15 GLS ShipIT - SOAP services

Public Member Functions | Static Public Attributes | List of all members
eu.gls_group.fpcs.v1.tracking.InvalidShipmentIDMessage Class Reference
Inheritance diagram for eu.gls_group.fpcs.v1.tracking.InvalidShipmentIDMessage:

## Public Member Functions
| InvalidShipmentIDMessage ()
| InvalidShipmentIDMessage (String message)
| InvalidShipmentIDMessage (String message, java.lang.Throwable cause)
| InvalidShipmentIDMessage (String message, eu.glsgroup.fpcs.datatypes.soap.v1.tracking.InvalidShipmentIDFault invalidShipmentIDFault)
| InvalidShipmentIDMessage (String message, eu.glsgroup.fpcs.datatypes.soap.v1.tracking.InvalidShipmentIDFault invalidShipmentIDFault, java.lang.Throwable cause)
eu.glsgroup.fpcs.datatypes.soap.v1.tracking.InvalidShipmentIDFault | getFaultInfo ()

## Static Public Attributes
static final long | serialVersionUID = 201787221L

## Detailed Description

This class was generated by Apache CXF 3.4.7 Generated source version: 3.4.7

Definition at line 14 of file v1/tracking/InvalidShipmentIDMessage.java.

## Constructor & Destructor Documentation

## ◆ InvalidShipmentIDMessage() [1/5]

eu.gls_group.fpcs.v1.tracking.InvalidShipmentIDMessage.InvalidShipmentIDMessage | ( |  | ) |

Definition at line 19 of file v1/tracking/InvalidShipmentIDMessage.java.

## ◆ InvalidShipmentIDMessage() [2/5]

eu.gls_group.fpcs.v1.tracking.InvalidShipmentIDMessage.InvalidShipmentIDMessage | ( | String | message | ) |

Definition at line 23 of file v1/tracking/InvalidShipmentIDMessage.java.

## ◆ InvalidShipmentIDMessage() [3/5]

eu.gls_group.fpcs.v1.tracking.InvalidShipmentIDMessage.InvalidShipmentIDMessage | ( | String | message,
|  | java.lang.Throwable | cause
| ) |  |

Definition at line 27 of file v1/tracking/InvalidShipmentIDMessage.java.

## ◆ InvalidShipmentIDMessage() [4/5]

eu.gls_group.fpcs.v1.tracking.InvalidShipmentIDMessage.InvalidShipmentIDMessage | ( | String | message,
|  | eu.glsgroup.fpcs.datatypes.soap.v1.tracking.InvalidShipmentIDFault | invalidShipmentIDFault
| ) |  |

Definition at line 31 of file v1/tracking/InvalidShipmentIDMessage.java.

## ◆ InvalidShipmentIDMessage() [5/5]

eu.gls_group.fpcs.v1.tracking.InvalidShipmentIDMessage.InvalidShipmentIDMessage | ( | String | message,
|  | eu.glsgroup.fpcs.datatypes.soap.v1.tracking.InvalidShipmentIDFault | invalidShipmentIDFault,
|  | java.lang.Throwable | cause
| ) |  |

Definition at line 36 of file v1/tracking/InvalidShipmentIDMessage.java.

## Member Function Documentation

## ◆ getFaultInfo()

eu.glsgroup.fpcs.datatypes.soap.v1.tracking.InvalidShipmentIDFault eu.gls_group.fpcs.v1.tracking.InvalidShipmentIDMessage.getFaultInfo | ( |  | ) |

Definition at line 41 of file v1/tracking/InvalidShipmentIDMessage.java.

## Member Data Documentation

## ◆ serialVersionUID

final long eu.gls_group.fpcs.v1.tracking.InvalidShipmentIDMessage.serialVersionUID = 201787221L
| static

Definition at line 15 of file v1/tracking/InvalidShipmentIDMessage.java.

The documentation for this class was generated from the following file:

- v1/tracking/InvalidShipmentIDMessage.java